import React from 'react';
import ReactDOMServer from 'react-dom/server';

(function (Drupal, documentString) {
  let result = ReactDOMServer.renderToString(
    <React.StrictMode>
      <h1>Say hello from server-side rendered React</h1>
      <div>I replaced all of this. Please replace me too!</div>
    </React.StrictMode>
  );
  // Drupal object manipulation will update the document content
  // for the current response.
  let bodyTag = documentString.match(/\<body[^\>]*\>/i)[0];
  Drupal.documentString = documentString.replace(bodyTag, bodyTag + '<div id="ssr-root">' + result + '</div>');
})(Drupal, Drupal.documentString);
